body {
      margin: 0;
      padding: 0;
      font-family: 'Helvetica Neue', sans-serif;
      height: 100vh;
      display: flex;
      align-items: center;
      justify-content: center;
      background: url("bg4.png") no-repeat center center/cover;
    }
    .overlay {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: rgba(46, 1, 33, 0.741); /* dark overlay for readability */
      z-index: 1;
    }
    .landing-container {
      position: relative;
      z-index: 2;
      background: #ffb6c100; /* semi-transparent pink */
      border-radius: 0px;
      max-width: 400px;
      width: 100%;
      text-align: center;
      padding: 30px 20px;
      box-shadow: 0px 10px 25px rgba(0, 0, 0, 0);
    }
    .landing-container img {
      width: 70%;
      border-radius: 15px;
      margin-bottom: 20px;
    }
    h2 {
      font-size: 1rem;
      font-weight: bold;
      color: #ea7a94;
    }
    p {
      font-size: 1rem;
      margin-bottom: 20px;
      color: #ff6f91;
    }
    .btn-custom {
      background-color: #55090b;
      color: white;
      border: none;
      padding: 12px 25px;
      border-radius: 50px;
      font-size: 1.1rem;
      transition: all 0.3s ease;
    }
    .btn-custom:hover {
      background-color: #ff4d73;
    }
      .header {
      background: linear-gradient(135deg, #ff5f9700, #ff3e6b00);
      border-radius: 20px;
      padding: 30px;
      margin: 20px auto;
      max-width: 500px;
      text-align: center;
      color: #f1a6b7;

    }
    .container img {
      width: 100%;
      border-radius: 15px;
      margin-bottom: 20px;

    }
    .category-card {
      border-radius: 15px;
      text-align: center;
      padding: 30px 10px;
      color: white;
      font-weight: bold;
      transition: 0.3s;
      text-decoration: none;
      display: block;
    }
    .category-card:hover {
      transform: scale(1.05);
      opacity: 0.9;
    }
    .category-card i {
      font-size: 3rem;
      display: block;
      margin-bottom: 10px;
    }
    .general { background: linear-gradient(135deg, #4facfe6f, #00f2fe); }
    .transport { background: linear-gradient(135deg, #667eea61, #764ba2); }
    .shopping { background: linear-gradient(135deg, #ff6a88, #ff99ac); }
    .bills { background: linear-gradient(135deg, #f7951e7e, #ffd200); }
    .entertainment { background: linear-gradient(135deg, #43cea288, #185a9d); }
    .grocery { background: linear-gradient(135deg, #56ab2f7f, #a8e063); }


    